(function() {
	/********************************
	 * LocalNotification
	 * ローカル通知機能を提供する
	 * iOSのみバッジの取得と設定も行える
	 ********************************/

	/*
	 * ローカル通知をスケジューリング(5秒後)
	 * alertId					  : Number 通知Id
	 * alertBody				  : String 通知メッセージ
	 * uri						  : String 通知をタップした際に、特定のページへ遷移させる場合に指定。未指定の場合はアプリ起動のみ
	 * fireDate					  : Number 通知発動時刻（エポックタイム）
	 * alertAction				  : String 通知のダイアログに表示されるボタンのラベル(iOSのみ)
	 * applicationIconBadgeNumber : Number アプリアイコンにバッジ表示する数字(iOSのみ)
	 * repeatInterval			  : String 繰り返しの指定
	 * 		"minute"： 毎分
	 * 		"hour"  ： 毎時
	 * 		"day"   ： 毎日
	 * 		"month" ： 毎月
	 */
	localNotificationSchedule1 = function() {
		var now = parseInt((new Date()) / 1000);
		var options = {
			alertId: 1,
			alertBody: "message1",
			uri: "http://www.yahoo.co.jp/",
			fireDate: now + 5,
			alertAction: "開く",			// iOSのみ
			applicationIconBadgeNumber: 3,	// iOSのみ
		};
		applican.localNotification.schedule(localNotificationSchedule1Success, localNotificationSchedule1Error, options);
	};

	/*
	 * ローカル通知のスケジューリングに成功した場合のコールバック(5秒後)
	 */
	localNotificationSchedule1Success = function() {
		var dump = "ローカル通知：5秒後\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * ローカル通知のスケジューリングに失敗した場合のコールバック(5秒後)
	 */
	localNotificationSchedule1Error = function(res) {
		var dump = "ローカル通知が失敗した\n";
		dump += "エラーコード：" + res.code + "\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * スケジューリングされたローカル通知をキャンセル
	 */
	localNotificationCancel1 = function() {
		var options = { alertId: 1 };
		applican.localNotification.cancel(options);

		var dump = "ローカル通知がキャンセルされた\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * ローカル通知をスケジューリング(10秒後)
	 * alertId					  : Number 通知Id
	 * alertBody				  : String 通知メッセージ
	 * uri						  : String 通知をタップした際に、特定のページへ遷移させる場合に指定。未指定の場合はアプリ起動のみ
	 * fireDate					  : Number 通知発動時刻（エポックタイム）
	 * alertAction				  : String 通知のダイアログに表示されるボタンのラベル(iOSのみ)
	 * applicationIconBadgeNumber : Number アプリアイコンにバッジ表示する数字(iOSのみ)
	 * repeatInterval			  : String 繰り返しの指定
	 * 		"minute"： 毎分
	 * 		"hour"  ： 毎時
	 * 		"day"   ： 毎日
	 * 		"month" ： 毎月
	 */
	localNotificationSchedule2 = function() {
		var now = parseInt((new Date()) / 1000);
		var options = {
			alertId: 2,
			alertBody: "message2",
			uri: "http://www.yahoo.co.jp/",
			fireDate: now + 10,
			alertAction: "開く",			// iOSのみ
			applicationIconBadgeNumber: 3,	// iOSのみ
		};
		applican.localNotification.schedule(localNotificationSchedule2Success, localNotificationSchedule2Error, options);
	};

	/*
	 * ローカル通知のスケジューリングに成功した場合のコールバック(10秒後)
	 */
	localNotificationSchedule2Success = function() {
		var dump = "ローカル通知：10秒後\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * ローカル通知のスケジューリングに失敗した場合のコールバック(10秒後)
	 */
	localNotificationSchedule2Error = function(res) {
		var dump = "ローカル通知が失敗した\n";
		dump += "エラーコード：" + res.code + "\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * スケジューリングされたローカル通知をキャンセル(10秒後)
	 */
	localNotificationCancel2 = function() {
		var options = { alertId: 2 };
		applican.localNotification.cancel(options);

		var dump = "ローカル通知がキャンセルされた\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * ローカル通知をスケジューリング(3分後)
	 * alertId					  : Number 通知Id
	 * alertBody				  : String 通知メッセージ
	 * uri						  : String 通知をタップした際に、特定のページへ遷移させる場合に指定。未指定の場合はアプリ起動のみ
	 * fireDate					  : Number 通知発動時刻（エポックタイム）
	 * alertAction				  : String 通知のダイアログに表示されるボタンのラベル(iOSのみ)
	 * applicationIconBadgeNumber : Number アプリアイコンにバッジ表示する数字(iOSのみ)
	 * repeatInterval			  : String 繰り返しの指定
	 * 		"minute"： 毎分
	 * 		"hour"  ： 毎時
	 * 		"day"   ： 毎日
	 * 		"month" ： 毎月
	 */
	localNotificationSchedule3 = function() {
		var now = parseInt((new Date()) / 1000);
		var options = {
			alertId: 3,
			alertBody: "message3",
			uri: "http://www.yahoo.co.jp/",
			fireDate: now + 60 * 3,
			alertAction: "開く",			// iOSのみ
			applicationIconBadgeNumber: 3,	// iOSのみ
		};
		applican.localNotification.schedule(localNotificationSchedule3Success, localNotificationSchedule3Error, options);
	};

	/*
	 * ローカル通知のスケジューリングに成功した場合のコールバック(3分後)
	 */
	localNotificationSchedule3Success = function() {
		var dump = "ローカル通知：3分後\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * ローカル通知のスケジューリングに失敗した場合のコールバック(3分後)
	 */
	localNotificationSchedule3Error = function(res) {
		var dump = "ローカル通知が失敗した\n";
		dump += "エラーコード：" + res.code + "\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * スケジューリングされたローカル通知をキャンセル(3分後)
	 */
	localNotificationCancel3 = function() {
		var options = {alertId: 3};
		applican.localNotification.cancel(options);

		var dump = "ローカル通知がキャンセルされた\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * ローカル通知をスケジューリング(毎分0秒)
	 * alertId					  : Number 通知Id
	 * alertBody				  : String 通知メッセージ
	 * uri						  : String 通知をタップした際に、特定のページへ遷移させる場合に指定。未指定の場合はアプリ起動のみ
	 * fireDate					  : Number 通知発動時刻（エポックタイム）
	 * alertAction				  : String 通知のダイアログに表示されるボタンのラベル(iOSのみ)
	 * applicationIconBadgeNumber : Number アプリアイコンにバッジ表示する数字(iOSのみ)
	 * repeatInterval			  : String 繰り返しの指定
	 * 		"minute"： 毎分
	 * 		"hour"  ： 毎時
	 * 		"day"   ： 毎日
	 * 		"month" ： 毎月
	 */
	localNotificationSchedule4 = function() {
		var fireDateUnixtime= (new Date(2000, 0, 1, 0, 0, 0)) / 1000;
		var options = {
			alertId: 4,
			alertBody: "message4",
			uri: "http://www.yahoo.co.jp/",
			fireDate: fireDateUnixtime,
			repeatInterval: "minute",
			alertAction: "開く",			// iOSのみ
			applicationIconBadgeNumber: 1,	// iOSのみ
		};
		applican.localNotification.schedule(localNotificationSchedule4Success, localNotificationSchedule4Error, options);
	};

	/*
	 * ローカル通知のスケジューリングに成功した場合のコールバック(毎分0秒)
	 */
	localNotificationSchedule4Success = function() {
		var dump = "ローカル通知：毎分0秒\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * ローカル通知のスケジューリングに失敗した場合のコールバック(毎分0秒)
	 */
	localNotificationSchedule4Error = function(res) {
		var dump = "ローカル通知が失敗した\n";
		dump += "エラーコード：" + res.code + "\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * スケジューリングされたローカル通知をキャンセル(毎分0秒)
	 */
	localNotificationCancel4 = function() {
		var options = { alertId: 4 };
		applican.localNotification.cancel(options);

		var dump = "ローカル通知がキャンセルされた\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * ローカル通知をスケジューリング(毎時30分)
	 * alertId					  : Number 通知Id
	 * alertBody				  : String 通知メッセージ
	 * uri						  : String 通知をタップした際に、特定のページへ遷移させる場合に指定。未指定の場合はアプリ起動のみ
	 * fireDate					  : Number 通知発動時刻（エポックタイム）
	 * alertAction				  : String 通知のダイアログに表示されるボタンのラベル(iOSのみ)
	 * applicationIconBadgeNumber : Number アプリアイコンにバッジ表示する数字(iOSのみ)
	 * repeatInterval			  : String 繰り返しの指定
	 * 		"minute"： 毎分
	 * 		"hour"  ： 毎時
	 * 		"day"   ： 毎日
	 * 		"month" ： 毎月
	 */
	localNotificationSchedule5 = function() {
		var fireDateUnixtime= (new Date(2000, 0, 1, 0, 30, 0))/ 1000;
		var options = {
			alertId: 5,
			alertBody: "message5",
			uri: "http://www.yahoo.co.jp/",
			fireDate: fireDateUnixtime,
			repeatInterval: "hour",
			alertAction: "開く",			// iOSのみ
			applicationIconBadgeNumber: 1,	// iOSのみ
		};
		applican.localNotification.schedule(localNotificationSchedule5Success, localNotificationSchedule5Error, options);
	};

	/*
	 * ローカル通知のスケジューリングに成功した場合のコールバック(毎時30分)
	 */
	localNotificationSchedule5Success = function() {
		var dump = "ローカル通知：毎時30分\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * ローカル通知のスケジューリングに失敗した場合のコールバック(毎時30分)
	 */
	localNotificationSchedule5Error = function(res) {
		var dump = "ローカル通知が失敗した\n";
		dump += "エラーコード：" + res.code + "\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * スケジューリングされたローカル通知をキャンセル(毎時30分)
	 */
	localNotificationCancel5 = function() {
		var options = { alertId: 5 };
		applican.localNotification.cancel(options);

		var dump = "ローカル通知がキャンセルされた\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * ローカル通知をスケジューリング(毎日13時40分)
	 * alertId					  : Number 通知Id
	 * alertBody				  : String 通知メッセージ
	 * uri						  : String 通知をタップした際に、特定のページへ遷移させる場合に指定。未指定の場合はアプリ起動のみ
	 * fireDate					  : Number 通知発動時刻（エポックタイム）
	 * alertAction				  : String 通知のダイアログに表示されるボタンのラベル(iOSのみ)
	 * applicationIconBadgeNumber : Number アプリアイコンにバッジ表示する数字(iOSのみ)
	 * repeatInterval			  : String 繰り返しの指定
	 * 		"minute"： 毎分
	 * 		"hour"  ： 毎時
	 * 		"day"   ： 毎日
	 * 		"month" ： 毎月
	 */
	localNotificationSchedule6 = function() {
		var fireDateUnixtime= (new Date(2000, 0, 1, 13, 40, 0)) / 1000;
		var options = {
			alertId: 6,
			alertBody: "message6",
			uri: "http://www.yahoo.co.jp/",
			fireDate: fireDateUnixtime,
			repeatInterval: "day",
			alertAction: "開く",			// iOSのみ
			applicationIconBadgeNumber: 1,	// iOSのみ
		};
		applican.localNotification.schedule(localNotificationSchedule6Success, localNotificationSchedule6Error, options);
	};

	/*
	 * ローカル通知のスケジューリングに成功した場合のコールバック(毎日13時40分)
	 */
	localNotificationSchedule6Success = function() {
		var dump = "ローカル通知：毎日13時40分\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * ローカル通知のスケジューリングに失敗した場合のコールバック(毎日13時40分)
	 */
	localNotificationSchedule6Error = function(res) {
		var dump = "ローカル通知が失敗した\n";
		dump += "エラーコード：" + res.code + "\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * スケジューリングされたローカル通知をキャンセル(毎日13時40分)
	 */
	localNotificationCancel6 = function() {
		var options = { alertId: 6 };
		applican.localNotification.cancel(options);

		var dump = "ローカル通知がキャンセルされた\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * ローカル通知をスケジューリング(毎月18日13時45分)
	 * alertId					  : Number 通知Id
	 * alertBody				  : String 通知メッセージ
	 * uri						  : String 通知をタップした際に、特定のページへ遷移させる場合に指定。未指定の場合はアプリ起動のみ
	 * fireDate					  : Number 通知発動時刻（エポックタイム）
	 * alertAction				  : String 通知のダイアログに表示されるボタンのラベル(iOSのみ)
	 * applicationIconBadgeNumber : Number アプリアイコンにバッジ表示する数字(iOSのみ)
	 * repeatInterval			  : String 繰り返しの指定
	 * 		"minute"： 毎分
	 * 		"hour"  ： 毎時
	 * 		"day"   ： 毎日
	 * 		"month" ： 毎月
	 */
	localNotificationSchedule7 = function() {
		var fireDateUnixtime= (new Date(2000, 0, 18, 13, 45, 0)) / 1000;
		var options = {
			alertId: 7,
			alertBody: "message7",
			uri: "http://www.yahoo.co.jp/",
			fireDate: fireDateUnixtime,
			repeatInterval: "month",
			alertAction: "開く",			// iOSのみ
			applicationIconBadgeNumber: 1,	// iOSのみ
		};
		applican.localNotification.schedule(localNotificationSchedule7Success, localNotificationSchedule7Error, options);
	};

	/*
	 * ローカル通知のスケジューリングに成功した場合のコールバック(毎月18日13時45分)
	 */
	localNotificationSchedule7Success = function() {
		var dump = "ローカル通知：毎月18日13時45分\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * ローカル通知のスケジューリングに失敗した場合のコールバック(毎月18日13時45分)
	 */
	localNotificationSchedule7Error = function(res) {
		var dump = "ローカル通知が失敗した\n";
		dump += "エラーコード：" + res.code + "\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * スケジューリングされたローカル通知をキャンセル(毎月18日13時45分)
	 */
	localNotificationCancel7 = function() {
		var options = { alertId: 7 };
		applican.localNotification.cancel(options);

		var dump = "ローカル通知がキャンセルされた\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/*
	 * スケジューリングされたローカル通知を全てキャンセル
	 */
	localNotificationAllCancel = function() {
		applican.localNotification.allCancel();

		var dump = "全てのローカル通知がキャンセルされた\n";
		document.getElementById("dumpAreaLocalNotification").value = dump;
	};

	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		// 「5秒後に通知」ボタン押下処理
		document.getElementById("btnSchedule1").addEventListener("touchend", localNotificationSchedule1, false);
		// 「キャンセル」ボタン押下処理
		document.getElementById("btnCancel1").addEventListener("touchend", localNotificationCancel1, false);

		// 「10秒後に通知<」ボタン押下処理
		document.getElementById("btnSchedule2").addEventListener("touchend", localNotificationSchedule2, false);
		// 「キャンセル」ボタン押下処理
		document.getElementById("btnCancel2").addEventListener("touchend", localNotificationCancel2, false);

		// 「3分後に通知」ボタン押下処理
		document.getElementById("btnSchedule3").addEventListener("touchend", localNotificationSchedule3, false);
		// 「キャンセル」ボタン押下処理
		document.getElementById("btnCancel3").addEventListener("touchend", localNotificationCancel3, false);

		// 「毎分0秒」ボタン押下処理
		document.getElementById("btnSchedule4").addEventListener("touchend", localNotificationSchedule4, false);
		// 「キャンセル」ボタン押下処理
		document.getElementById("btnCancel4").addEventListener("touchend", localNotificationCancel4, false);

		// 「毎時30分」ボタン押下処理
		document.getElementById("btnSchedule5").addEventListener("touchend", localNotificationSchedule5, false);
		// 「キャンセル」ボタン押下処理
		document.getElementById("btnCancel5").addEventListener("touchend", localNotificationCancel5, false);

		// 「毎日13時40分」ボタン押下処理
		document.getElementById("btnSchedule6").addEventListener("touchend", localNotificationSchedule6, false);
		// 「キャンセル」ボタン押下処理
		document.getElementById("btnCancel6").addEventListener("touchend", localNotificationCancel6, false);

		// 「毎月18日13時45分」ボタン押下処理
		document.getElementById("btnSchedule7").addEventListener("touchend", localNotificationSchedule7, false);
		// 「キャンセル」ボタン押下処理
		document.getElementById("btnCancel7").addEventListener("touchend", localNotificationCancel7, false);

		// 「全てキャンセル」ボタン押下処理
		document.getElementById("btnAllCancel").addEventListener("touchend", localNotificationAllCancel, false);
	});
})();
